import sys
import Image
import GDprep
import array
from compress import Codec

bg = Image.open("splitscreen.png").convert("RGB")
(picdata, chrdata, paldata) = GDprep.encode(bg)
fn = "splitscreen"
hh = open("../../splitscreen_graphics.h", "w")
GDprep.dump(hh, "%s_pic" % fn, picdata)
GDprep.dump(hh, "%s_chr" % fn, chrdata)
GDprep.dump(hh, "%s_pal" % fn, paldata)
